const mix = require('laravel-mix')
const SiteomatWebpackPlugin = require('@helpers/siteomat-webpack-plugin')

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel application. By default, we are compiling the Sass
 | file for the application as well as bundling up all the JS files.
 |
 */

mix.webpackConfig({
    plugins: [
        new SiteomatWebpackPlugin(
            './data',
            './views',
            {
                'minifyHtml': false
            }
        )
    ]
})

mix.setPublicPath('./public')